Page 11 of 16 FirstFirst ... 910111213 ... LastLast
Results 101 to 110 of 153

Thread: [SOLVED] HOWTO: nifty gmail checker (checkgmail)

  1. #101
    Join Date
    Dec 2004
    Location
    Slovenia
    Beans
    684
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: HOWTO: nifty gmail checker (checkgmail)

    Quote Originally Posted by christooss
    Do a sudo -rf /etc/CPAN/config.*
    and sudo -rf .cpan
    Im still in OpenSource age but I hope that through the years I will reach for the Free nirvana that is waiting me out there.
    Visit Ubuntu.si forums | My great blog Christoossov pasijon - Slovene version | Passion of the Christooss - English version

  2. #102
    Join Date
    Sep 2005
    Beans
    10
    Distro
    Ubuntu Breezy 5.10

    Re: HOWTO: nifty gmail checker (checkgmail)

    Quote:
    Originally Posted by christooss
    Do a sudo -rf /etc/CPAN/config.*
    and sudo -rf .cpan
    Thank you. I tried both commands and recieved the following:

    Code:
    sudo: illegal option `-rf'
    usage: sudo -K | -L | -V | -h | -k | -l | -v
    usage: sudo [-HPSb] [-p prompt] [-u username|#uid]
                { -e file [...] | -i | -s | <command> }
    christian@linuxmain:~$ sudo -rf .cpan
    sudo: please use single character options
    sudo: illegal option `-rf'
    usage: sudo -K | -L | -V | -h | -k | -l | -v
    usage: sudo [-HPSb] [-p prompt] [-u username|#uid]
                { -e file [...] | -i | -s | <command> }
    Any suggestions? Sorry for being such a noob.

  3. #103
    Join Date
    Dec 2004
    Location
    Slovenia
    Beans
    684
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: HOWTO: nifty gmail checker (checkgmail)

    uppss sori

    Code:
    sudo rm -rf /etc/CPAN/config.*
    sudo rm -rf .cpan
    Do you notice a rm after sudo!!! It was a typo. Sprry again
    Im still in OpenSource age but I hope that through the years I will reach for the Free nirvana that is waiting me out there.
    Visit Ubuntu.si forums | My great blog Christoossov pasijon - Slovene version | Passion of the Christooss - English version

  4. #104
    Join Date
    Sep 2005
    Beans
    10
    Distro
    Ubuntu Breezy 5.10

    Re: HOWTO: nifty gmail checker (checkgmail)

    Perfect. Worked without a hitch. Thank you sooo much!

  5. #105
    Join Date
    Jul 2005
    Beans
    431

    Re: HOWTO: nifty gmail checker (checkgmail)

    Quote Originally Posted by arnieboy
    Please NOTE: I have just installed Breezy (fresh installation) and I have installed gmail checker and its working flawlessly. Read this post again and follow it to make this work on a fresh Breezy installation
    I can confirm this. I read these instructions before you updated and it installed fine for me... I can say that gmailchecker ROCKS!

  6. #106
    Join Date
    Sep 2005
    Beans
    45

    Re: HOWTO: nifty gmail checker (checkgmail)

    I found a much easier way to install this, using existing ubuntu packages rather than all that CPAN stuff. It means you don't need to install any build tools or compile anything, and the only stuff you need to install as root are official ubuntu packages. I run breezy, so I can't say whether this will work on hoary or not. Please let me know if I missed anything here - if so, I'll correct it.

    In the following instructions, replace "/home/user" with any path you like.

    Download the source for checkgmail from sourcefource, as before from
    Code:
    http://prdownloads.sourceforge.net/checkgmail/checkgmail-1.4.tar.bz2?download
    Save the file into /home/user.

    cd to /home/user and extract the tar file, using
    Code:
    tar xfj checkgmail-1.4.tar.bz2
    This will make a new directory called checkgmail-1.4 in the current directory.

    Breezy is missing one of the Perl modules you need for some reason, so we'll need to get it from CPAN. We can store it locally, however, like this:
    Code:
    cd /home/user/checkgmail-1.4 && mkdir Crypt && wget -O Crypt/Simple.pm http://search.cpan.org/src/KASEI/Crypt-Simple-0.06/Simple.pm
    We need to tell the checkgmail script where to find our local copy of Simple.pm:
    cd to /home/user/checkgmail-1.4 and edit the "checkgmail" script to make the first line say
    Code:
    #!/usr/bin/perl -w -I/home/user/checkgmail-1.4
    Then all you need to do is
    Code:
    sudo apt-get install libwww-perl libcompress-zlib-perl libcrypt-blowfish-perl libcrypt-ssleay-perl libfreezethaw-perl libgtk2-trayicon-perl libxml-simple-perl
    and you're done. To run the checker, just run
    Code:
    /home/user/checkgmail-1.4/checkgmail
    Last edited by Dooglus; December 12th, 2005 at 02:49 AM. Reason: checkgmail 1.4 is available

  7. #107
    Join Date
    Nov 2005
    Beans
    11
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: HOWTO: nifty gmail checker (checkgmail)

    i'm having major difficulties with XML::Simple. i can't seem to get it installed either with apt or CPAN. it gives me errors from the XML::SAX package, but that installed perfectly fine.

    anyone else having this difficulty??


    /jhs

  8. #108
    Join Date
    Apr 2005
    Beans
    Hidden!

    Re: HOWTO: nifty gmail checker (checkgmail)

    I followed the first post of this howto, and I have checkgmail running nicely. However, I am having trouble installing packages from the repositories. I'm getting errors like this:
    Code:
    Setting up libxml-sax-perl (0.12-5) ...
    Can't locate object method "save_parsers_debian" via package "XML::SAX" at /usr/bin/update-perl-sax-parsers line 90.
    dpkg: error processing libxml-sax-perl (--configure):
     subprocess post-installation script returned error exit status 255
    dpkg: dependency problems prevent configuration of libxml-libxml-perl:
     libxml-libxml-perl depends on libxml-sax-perl (>= 0.11); however:
      Package libxml-sax-perl is not configured yet.
    dpkg: error processing libxml-libxml-perl (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of libxml-simple-perl:
     libxml-simple-perl depends on libxml-sax-perl; however:
      Package libxml-sax-perl is not configured yet.
     libxml-simple-perl depends on libxml-libxml-perl | libxml-sax-expat-perl; however:
      Package libxml-libxml-perl is not configured yet.
      Package libxml-sax-expat-perl is not installed.
    dpkg: error processing libxml-simple-perl (--configure):
     dependency problems - leaving unconfigured
    Setting up libsdl-image1.2 (1.2.4-1) ...
    
    Setting up libsdl-console (1.3-3) ...
    
    Setting up libsdl-gfx1.2 (2.0.9-4) ...
    
    Setting up libsdl-mixer1.2 (1.2.6-1.1) ...
    
    Setting up libsdl-net1.2 (1.2.5-3) ...
    
    Setting up libsdl-ttf2.0-0 (2.0.6-5) ...
    
    Setting up libsdl-perl (1.20.3-1ubuntu7) ...
    Setting up fb-music-high (0.1.1) ...
    Setting up frozen-bubble-data (1.0.0-6) ...
    Setting up frozen-bubble (1.0.0-6) ...
    
    Errors were encountered while processing:
     libxml-sax-perl
     libxml-libxml-perl
     libxml-simple-perl
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    I think this could be related to all the MCPAN stuff I did to get checkgmail working. Is there a way to reverse all of that?

  9. #109
    Join Date
    Oct 2005
    Beans
    103
    Distro
    Lubuntu 11.10 Oneiric Ocelot

    Re: HOWTO: nifty gmail checker (checkgmail)

    Quote Originally Posted by lynng
    I followed the first post of this howto, and I have checkgmail running nicely. However, I am having trouble installing packages from the repositories. I'm getting errors like this:
    I'm getting the same error on the terminal when trying to install anything, with the following error message:

    Code:
    E: libxml-sax-perl: subprocess post-installation script returned error exit status 255
    E: libxml-libxml-perl: dependency problems - leaving unconfigured
    E: libxml-simple-perl: dependency problems - leaving unconfigured


    Thanks in advance,
    Mguel

  10. #110
    Join Date
    Sep 2005
    Beans
    10
    Distro
    Ubuntu Breezy 5.10

    Re: HOWTO: nifty gmail checker (checkgmail)

    When entering the following command:

    Code:
    sudo perl -MCPAN -e 'install XML::Simple'
    I get the following error:

    Code:
    christian@mainbox:~/checkgmail-1.3$ sudo perl -MCPAN -e 'install XML::Simple'
    CPAN: Storable loaded ok
    Going to read /home/christian/.cpan/Metadata
      Database was generated on Thu, 15 Dec 2005 10:06:21 GMT
    Running install for module XML::Simple
    Running make for G/GR/GRANTM/XML-Simple-2.14.tar.gz
    CPAN: Digest::MD5 loaded ok
    CPAN: Compress::Zlib loaded ok
    Checksum for /home/christian/.cpan/sources/authors/id/G/GR/GRANTM/XML-Simple-2.1 4.tar.gz ok
    Scanning cache /home/christian/.cpan/build for sizes
    XML-Simple-2.14/
    XML-Simple-2.14/t/
    XML-Simple-2.14/t/1_XMLin.xml
    XML-Simple-2.14/t/lib/
    XML-Simple-2.14/t/lib/TagsToUpper.pm
    XML-Simple-2.14/t/6_ObjIntf.t
    XML-Simple-2.14/t/1_XMLin.t
    XML-Simple-2.14/t/srt.xml
    XML-Simple-2.14/t/4_MemShare.t
    XML-Simple-2.14/t/3_Storable.t
    XML-Simple-2.14/t/7_SaxStuff.t
    XML-Simple-2.14/t/A_XMLParser.t
    XML-Simple-2.14/t/0_Config.t
    XML-Simple-2.14/t/subdir/
    XML-Simple-2.14/t/subdir/test2.xml
    XML-Simple-2.14/t/2_XMLout.t
    XML-Simple-2.14/t/5_MemCopy.t
    XML-Simple-2.14/t/8_Namespaces.t
    XML-Simple-2.14/t/test1.xml
    XML-Simple-2.14/t/desertnet.src
    XML-Simple-2.14/t/9_Strict.t
    XML-Simple-2.14/Changes
    XML-Simple-2.14/MANIFEST
    XML-Simple-2.14/lib/
    XML-Simple-2.14/lib/XML/
    XML-Simple-2.14/lib/XML/Simple/
    XML-Simple-2.14/lib/XML/Simple/FAQ.pod
    XML-Simple-2.14/lib/XML/Simple.pm
    XML-Simple-2.14/META.yml
    XML-Simple-2.14/maketest
    XML-Simple-2.14/README
    XML-Simple-2.14/Makefile.PL
    Removing previously used /home/christian/.cpan/build/XML-Simple-2.14
    
      CPAN.pm: Going to build G/GR/GRANTM/XML-Simple-2.14.tar.gz
    
    Checking installed modules ...
    XML::SAX is installed, it will be used by the test suite
    Checking if your kit is complete...
    Looks good
    Writing Makefile for XML::Simple
    cp lib/XML/Simple/FAQ.pod blib/lib/XML/Simple/FAQ.pod
    cp lib/XML/Simple.pm blib/lib/XML/Simple.pm
    Manifying blib/man3/XML::Simple::FAQ.3pm
    Manifying blib/man3/XML::Simple.3pm
      /usr/bin/make  -- OK
    Running make test
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
    # Package                        Version
    #  perl                           5.8.7
    #  XML::Simple                    2.14
    #  Storable                       2.13
    #  XML::Parser                    Not Installed
    #  XML::SAX                       0.13
    #  XML::NamespaceSupport          1.09
    #  XML::SAX::PurePerl             0.90 (default parser)
    t/0_Config........ok
    t/1_XMLin.........ok 1/122Unable to recognise encoding of this document at /usr/ local/share/perl/5.8.7/XML/SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    t/1_XMLin.........ok 16/122Unable to recognise encoding of this document at /usr /local/share/perl/5.8.7/XML/SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    t/1_XMLin.........NOK 32
    #     Failed test (t/1_XMLin.t at line 380)
    #          got: 'Unable to recognise encoding of this document at /usr/local/sha re/perl/5.8.7/XML/SAX/PurePerl/EncodingDetect.pm line 96.
    # '
    #     expected: ''
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    t/1_XMLin.........NOK 38
    #     Failed test (t/1_XMLin.t at line 426)
    #     Structures begin differing at:
    #          $got->{cdata} = '<greeting>Hello, world!</greeting>>'
    #     $expected->{cdata} = '<greeting>Hello, world!</greeting>'
    t/1_XMLin.........NOK 39
    #     Failed test (t/1_XMLin.t at line 432)
    #     Structures begin differing at:
    #          $got->{x} = '<y>one</y>><y>two</y>>'
    #     $expected->{x} = '<y>one</y><y>two</y>'
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96, <STDIN> line 1.
    t/1_XMLin.........NOK 122
    #     Failed test (t/1_XMLin.t at line 1443)
    #     Structures begin differing at:
    #          $got->{pubpath}{test1}{title} = 'web_source -> web_target1'
    #     $expected->{pubpath}{test1}{title} = 'web_source -&gt; web_target1'
    # Looks like you failed 4 tests of 122.
    t/1_XMLin.........dubious
            Test returned status 4 (wstat 1024, 0x400)
    DIED. FAILED tests 32, 38-39, 122
            Failed 4/122 tests, 96.72% okay
    t/2_XMLout........NOK 47
    #     Failed test (t/2_XMLout.t at line 302)
    #     Structures begin differing at:
    #          $got->{c} = '&amp;C&amp;'
    #     $expected->{c} = '&C&'
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    t/2_XMLout........ok 196/196# Looks like you failed 1 test of 196.
    t/2_XMLout........dubious
            Test returned status 1 (wstat 256, 0x100)
    DIED. FAILED test 47
            Failed 1/196 tests, 99.49% okay (less 1 skipped test: 194 okay, 98.98%)
    t/3_Storable......ok
    t/4_MemShare......ok
    t/5_MemCopy.......ok
    t/6_ObjIntf.......ok
    t/7_SaxStuff......ok
    t/8_Namespaces....ok
    t/9_Strict........ok 1/38Unable to recognise encoding of this document at /usr/l ocal/share/perl/5.8.7/XML/SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    Unable to recognise encoding of this document at /usr/local/share/perl/5.8.7/XML /SAX/PurePerl/EncodingDetect.pm line 96.
    t/9_Strict........ok
    t/A_XMLParser.....skipped
            all skipped: no XML::Parser
    Failed Test  Stat Wstat Total Fail  Failed  List of Failed
    -------------------------------------------------------------------------------
    t/1_XMLin.t     4  1024   122    4   3.28%  32 38-39 122
    t/2_XMLout.t    1   256   196    1   0.51%  47
    1 test and 1 subtest skipped.
    Failed 2/11 test scripts, 81.82% okay. 5/454 subtests failed, 98.90% okay.
    make: *** [test_dynamic] Error 255
      /usr/bin/make test -- NOT OK
    Running make install
      make test had returned bad status, won't install without force
    Any suggestions? The results of proceeding after this step is a binary that does nothing when you double click it. It wont run from terminal either.

    Thanks in advance.

Page 11 of 16 FirstFirst ... 910111213 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •